<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('bell_logs', function (Blueprint $table) {
    $table->id();
    $table->foreignId('schedule_id')->constrained()->onDelete('cascade');
    $table->timestamp('rung_at');  // Kapan bel dibunyikan
    $table->timestamps();
});

    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('bell_logs');
    }
};
